#
# spec file for package elx-lpfc version 12.2.212.22
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#


Name:          elx-lpfc
BuildRequires: %kernel_module_package_buildreqs 
License:       GPL-2.0
Group:         System/Kernel
Summary:       Broadcom - Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs
Version:       12.2.212.22
Release:       1.1
Source0:       lpfcdriver-4-%{version}.tar.gz
Source1:       lpfcdriver-5-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%define kernelversion %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-syms | sed 's/\\.[^.]*$//')
%define osreleasefile %(ls /etc/os-release)

%if "%{osreleasefile}" == "/etc/os-release"
%define sle_version %(grep -Po 'VERSION_ID="\\K[^"]*' /etc/os-release | sed 's/\\.//g')
%else
%define sle_version %(sed -n '/VERSION = /{s///p;q;}' /etc/SuSE-release)%(sed -n '/PATCHLEVEL = /{s///p;q;}' /etc/SuSE-release)
%endif

%kernel_module_package


%description
Broadcom - Emulex lpfc Linux kernel driver module.

%package KMP
Summary: Emulex lpfc driver
Group: System/Kernel

%description KMP
Broadcom - Emulex lpfc Linux kernel driver module.

%prep
%if %{sle_version} == 124 || %{sle_version} == 15
%setup -T -b 1 -n lpfcdriver-5-%{version}
%else
%setup -T -b 0 -n lpfcdriver-4-%{version}
%endif
set -- *
mkdir source
mv "$@" source/
echo " " > source/Module.supported
mkdir obj

%build
%bcond_with retpoline
%if %{with retpoline}
export KCFLAGS='-mindirect-branch=thunk-inline -mindirect-branch-register'
find source -name *.c -print0 | xargs -0 sed -i '/MODULE_LICENSE(/a MODULE_INFO(retpoline, "Y");'
%endif
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor \
        CONFIG_SCSI_LPFC=m CONFIG_SCSI_LPFC_IOCTLS=m \
        KERNELVERSION="%{kernelversion}-$flavor"
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor KERNELVERSION="%{kernelversion}-$flavor"
done

%clean
rm -rf %{buildroot}

%changelog
* Mon Apr 29 2019 andavis@suse.com
- SolidDriver build of version 12.2.212.22
- bsc#1133545
* Wed Jan  2 2019 lance.ortiz@suse.com
- Version 12.2.212.12 Adding SLE12 SP4 to the build env
* Tue Nov  6 2018 lance.ortiz@suse.com
- Version 12.0.261.26
